@ECHO OFF
ECHO -----------------------------------------------------------
ECHO Compiling RETROGRA.asm
ECHO -----------------------------------------------------------
ECHO Choose compiling information variant:
ECHO -----------------------------------------------------------
ECHO   0 - No info
ECHO   1 - Show debug info during both passes of assembly (-1)
ECHO   2 - Verbose mode. Show progress information about loading 
ECHO of files, progress of assembly and maybe other things (-v)
ECHO   3 - Both options (-1 -v)
ECHO -----------------------------------------------------------
SET /P variant=Enter 0 to 3: 
SET variant=%variant:~0,1%
IF "%variant%"=="" GOTO NOPARAMS
IF %variant%==0 GOTO NOPARAMS
IF %variant%==1 GOTO PARAMS1
IF %variant%==2 GOTO PARAMSV
IF %variant%==3 GOTO PARAMSBOTH
ECHO Error Variant!
GOTO END
:NOPARAMS
@ECHO ON
pasmo --tapbas --err RETROGRA.asm RETROGRA.asm.tap
GOTO END
:PARAMS1
@ECHO ON
pasmo -1 --tapbas --err RETROGRA.asm RETROGRA.asm.tap
GOTO END
:PARAMSV
@ECHO ON
pasmo -v --tapbas --err RETROGRA.asm RETROGRA.asm.tap
:PARAMSBOTH
@ECHO ON
pasmo -1 -v --tapbas --err RETROGRA.asm RETROGRA.asm.tap
:END
@ECHO OFF
ECHO -----------------------------------------------------------
ECHO Done!
ECHO -----------------------------------------------------------
PAUSE 0
